GETBYTEORDER(3)

NAME
getbyteorder - get the current byte order

LIBRARY
libutil

SYNOPSIS
#include <util.h>
#include <sys/endian.h>
int
getbyteorder(void);

DESCRIPTION
getbyteorder() returns LITTLE_ENDIAN, BIG_ENDIAN, or -1 in case of an error, setting the global errno variable. The possible values for errno are the same as in sysctl(3).

SEE ALSO
sysctl(3)

HISTORY
The getbyteorder() function call appeared in NetBSD 7.